
Ruby - Bug #12401

compile fails --with-static-linked-ext 

05/19/2016 07:52 PM - goldenautumnday (Paul Martinolich)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.3.1 Backport: 2.1: DONTNEED, 2.2: DONE, 2.3:

DONE

Description

../ruby/configure --with-static-linked-ext; make

from git repository:

remotes/origin/ruby_2_1 commit 6d728bdae9de565ad9d0b2fee2d4c2a33c6f4eac SUCCEEDS

remotes/origin/ruby_2_2 commit d16ff5c412b90b2766be97a5d3d689c5a18528d3 FAILS

compiling enc/encinit.c

make[2]: *** No rule to make target enc/libenc.a', needed by ruby'.  Stop.

remotes/origin/ruby_2_3 commit 97888037f11ad81ae8c45fbc64449cb460bad026 FAILS

compiling enc/encinit.c

make[2]: *** No rule to make target enc/libenc.a', needed by ruby'.  Stop.

remotes/origin/trunk commit c8fd8d3b426a85a49f099e3eca90210b1a06a7ea FAILS

compiling enc/encinit.c

make[2]: *** No rule to make target enc/libenc.a', needed by ruby'.  Stop.

Same issues with ruby-2.2.5.tar.gz, ruby-2.3.1.tar.gz.  ruby-2.1.9 succeeds.

$ more /etc/redhat-release

Scientific Linux release 7.2 (Nitrogen)

Associated revisions

Revision c15ad4a4ac0f92f8828aafcad35e50ddce22e712 - 06/18/2016 01:13 AM - nobu (Nobuyoshi Nakada)

Fix static-linked-ext encodings

common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

different than ENCOBJS, to get rid of circular dependency.

build libencs when linking encodings statically.

[ruby-core:75618] [Bug #12401]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55434 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c15ad4a4 - 06/18/2016 01:13 AM - nobu (Nobuyoshi Nakada)

Fix static-linked-ext encodings

common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

different than ENCOBJS, to get rid of circular dependency.

build libencs when linking encodings statically.

[ruby-core:75618] [Bug #12401]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55434 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 72e63983e6868d0253968f391632be89b7038ace - 08/11/2016 07:26 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55434: [Backport #12401]

    * common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

      different than ENCOBJS, to get rid of circular dependency.

      build libencs when linking encodings statically.

      [ruby-core:75618] [Bug #12401]
 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55871 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 72e63983 - 08/11/2016 07:26 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55434: [Backport #12401]

    * common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

      different than ENCOBJS, to get rid of circular dependency.

      build libencs when linking encodings statically.

      [ruby-core:75618] [Bug #12401]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55871 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fc5238a491b41053c39e1586708ec6e5f2736da6 - 08/16/2016 06:03 AM - U.Nakamura 

merge revision(s) 55434: [Backport #12401]

    * common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

      different than ENCOBJS, to get rid of circular dependency.

      build libencs when linking encodings statically.

      [ruby-core:75618] [Bug #12401]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55931 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fc5238a4 - 08/16/2016 06:03 AM - U.Nakamura 

merge revision(s) 55434: [Backport #12401]

    * common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

      different than ENCOBJS, to get rid of circular dependency.

      build libencs when linking encodings statically.

      [ruby-core:75618] [Bug #12401]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55931 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/17/2016 04:40 AM - Anonymous

- ruby -v set to 2.3.1

I have the same problem while building Ruby 2.3.1 configured with --with-static-linked-ext and --prefix /my/custom/prefix

No problem with Ruby 2.1.9

#2 - 06/18/2016 01:13 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r55434.

Fix static-linked-ext encodings

common.mk (build-ext), ext/extmk.rb: use variable EXTENCS

different than ENCOBJS, to get rid of circular dependency.

build libencs when linking encodings statically.

[ruby-core:75618] [Bug #12401]

#3 - 08/04/2016 07:05 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: DONTNEED, 2.2: REQUIRED, 2.3: REQUIRED

#4 - 08/11/2016 07:26 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: DONTNEED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r55871 merged revision(s) 55434.

#5 - 08/16/2016 06:03 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: DONTNEED, 2.2: REQUIRED, 2.3: DONE to 2.1: DONTNEED, 2.2: DONE, 2.3: DONE

ruby_2_2 r55931 merged revision(s) 55434.
